import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface UserTypeConfig extends cdktf.TerraformMetaArguments {
    /**
    * A human-readable description of the type
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_type#description UserType#description}
    */
    readonly description: string;
    /**
    * The display name for the type
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_type#display_name UserType#display_name}
    */
    readonly displayName: string;
    /**
    * The display name for the type
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_type#name UserType#name}
    */
    readonly name: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/okta/r/user_type okta_user_type}
*/
export declare class UserType extends cdktf.TerraformResource {
    static readonly tfResourceType = "okta_user_type";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/okta/r/user_type okta_user_type} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options UserTypeConfig
    */
    constructor(scope: Construct, id: string, config: UserTypeConfig);
    private _description?;
    get description(): string;
    set description(value: string);
    get descriptionInput(): string | undefined;
    private _displayName?;
    get displayName(): string;
    set displayName(value: string);
    get displayNameInput(): string | undefined;
    get id(): string;
    private _name?;
    get name(): string;
    set name(value: string);
    get nameInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
